Предупреждения о cryptsetup для новой установки Ubuntu 17.10?

6

Я только что загрузил и установил новую серверную систему Ubuntu 17.10.

При запуске sudo apt update и sudo apt upgrade я заметил эти два предупреждения:

  

ПРЕДУПРЕЖДЕНИЕ. Установка CRYPTSETUP в /etc/initramfs-tools/initramfs.conf устарела и перестанет работать в будущем. Вместо этого используйте / etc / cryptsetup-initramfs / conf-hook.

и

  

cryptsetup: ПРЕДУПРЕЖДЕНИЕ: target cryptswap1 имеет случайный ключ, пропущенный

Я понятия не имею, что это такое, но я хотел бы предотвратить любые неприятности в будущем. Обратите внимание, что я использую полное шифрование диска, я полагаю, что это связано с этим. Если я проверю файл /etc/initramfs-tools/initramfs.conf , строка crypt вообще не встречается.

Что я должен делать? И тот факт, что мой раздел подкачки использует случайный ключ (по крайней мере, так я интерпретирую это предупреждение), это должно быть так? Если нет, как это исправить?

    
задан RocketNuts 02.12.2017 в 23:27
источник

1 ответ

6

Первое предупреждение связано с конфликтующими настройками в пакетах overlayroot и cryptsetup . ( CRYPTSETUP устанавливается с помощью hook, /usr/share/initramfs-tools/conf-hooks.d/overlayroot , поэтому вы не нашли его в initramfs.conf .) У меня есть открыла ошибку по этой проблеме. Не беспокойтесь об этом, он чисто косметический.

Второе предупреждение возникает из того, как установщик устанавливает пространство подкачки. Если swapon -s показывает, что ваше пространство подкачки активно, вы можете его игнорировать.

    
ответ дан AlexP 03.12.2017 в 00:45
источник